# class RDoc::Markup::List

A List of ListItems

### Attributes

items[R]

Items in the list

type[RW]

The list’s type

### Public Class Methods

new(type = nil, *items) click to toggle source

Creates a new list of `type` with `items`. Valid list types are: `:BULLET`, `:LABEL`, `:LALPHA`, `:NOTE`, `:NUMBER`, `:UALPHA`

    # File lib/rdoc/markup/list.rb, line 20
    def initialize type = nil, *items
      @type = type
      @items = []
      @items.push(*items)
    end

### Public Instance Methods

<<(item) click to toggle source

Appends `item` to the list

    # File lib/rdoc/markup/list.rb, line 29
    def << item
      @items << item
    end

accept(visitor) click to toggle source

Runs this list and all its items through `visitor`

    # File lib/rdoc/markup/list.rb, line 42
    def accept visitor
      visitor.accept_list_start self

      @items.each do |item|
        item.accept visitor
      end

      visitor.accept_list_end self
    end

empty?() click to toggle source

Is the list empty?

    # File lib/rdoc/markup/list.rb, line 55
    def empty?
      @items.empty?
    end

last() click to toggle source

Returns the last item in the list

    # File lib/rdoc/markup/list.rb, line 62
    def last
      @items.last
    end

push(*items) click to toggle source

Appends `items` to the list

    # File lib/rdoc/markup/list.rb, line 77
    def push *items
      @items.push(*items)
    end